
------------------------------------------------------------
-- Snapshot of current unsatisfied demand
------------------------------------------------------------
function EVENTINITIALISE_SetPopBusinesses()
end;
function EVENT_SetPopBusinesses()
	C_AddPopBus(BAKERY,				1000);
	C_AddPopBus(FISH_MARKET,		1000);
	C_AddPopBus(GREENGROCERS,		1000);
	C_AddPopBus(DINER,				1000);
	C_AddPopBus(BUTCHERS,			700);
	C_AddPopBus(BOOK_STORE,			700);
	C_AddPopBus(TOY_STORE,			120);	
	C_AddPopBus(CHEESE_STORE,		100);
	C_AddPopBus(CAFE,				300);
	C_AddPopBus(NEWS_STAND,			200);
	C_AddPopBus(BALLROOM,			10);
	C_AddPopBus(FURNITURE_STORE,	60);
	C_AddPopBus(THEATRE,			60);	
	C_AddPopBus(RESTAURANT,			80);	
	C_AddPopBus(ELECTRICAL_STORE,	10);
	C_AddPopBus(POOL_HALL,			70);
	C_AddPopBus(ANTIQUE_STORE,		10);
	C_AddPopBus(CLOTHES_STORE,		80);
	C_AddPopBus(BAR,				10);
	C_AddPopBus(PHARMACY,			10);
	C_AddPopBus(DOCTORS_SURGERY,	10);
	C_AddPopBus(JEWELLERS,			10);
	C_AddPopBus(SOUVENIR_SHOP,		10);
	C_AddPopBus(ICECREAM_PARLOUR,	10);
	C_AddPopBus(HARDWARE_STORE,		10);
	
end;

C_TriggerEvent("SetPopBusinesses");


------------------------------------------------------------
-- 	Character Timetable			HR	MIN	EVENT
------------------------------------------------------------
AiChars[IRON]:ResetTimeTable();
AiChars[IRON]:LoadTimeTable(	02,	30,	TT_END_FO_DAY_STOCK_AND_PRICES ); 
AiChars[IRON]:LoadTimeTable(	13,	00,	TT_CREATE_BUS );
AiChars[IRON]:LoadTimeTable(	15,	30,	TT_CREATE_BUS );

AiChars[BARROW]:ResetTimeTable();
AiChars[BARROW]:LoadTimeTable(	02,	30,	TT_END_FO_DAY_STOCK_AND_PRICES ); 
AiChars[BARROW]:LoadTimeTable(	11,	30,	TT_CREATE_BUS );
AiChars[BARROW]:LoadTimeTable(	13,	30,	TT_CREATE_BUS );
AiChars[BARROW]:LoadTimeTable(	16,	30,	TT_CREATE_BUS );

------------------------------------------------------------
-- Initialise scenario specific varaibles
------------------------------------------------------------
AiChars[BARROW]:SetMaxBusinesses(0);
AiChars[IRON]:SetMaxBusinesses(0);



